### Method

# Gsk PathBuilderadd_rect

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_add_rect (
      GskPathBuilder* self,
      const graphene_rect_t* rect
    )

#### Description [src]

Adds `rect` as a new contour to the path built by the builder.

The path is going around the rectangle in clockwise direction.

If the the width or height are 0, the path will be a closed horizontal or vertical line. If both are 0, it’ll be a closed dot.

Available since: 4.14

#### Parameters

`rect`

  Type: `graphene_rect_t`

  The rectangle to create a path for.

  The data is owned by the caller of the method.